[Unit]
Description=Starts/stops the submit job monitor daemon
After=syslog.target time-sync.target identityman.service

[Service]
Type=forking
User=gridman
ExecStart=/opt/submit/monitorJobSQL.py
PIDFile=/var/run/submit/submit-jobsql.pid
PermissionsStartOnly=true
ExecStartPre=/usr/bin/install --owner root --group gridman --mode 0774 --directory /var/run/submit
Environment=PYTHONUNBUFFERED=1
StandardOutput=syslog
StandardError=syslog
SyslogIdentifier=SUBMITJOBMONSQL
#Environment=MONITORLOGLEVEL=INFO
#Environment=MONITORDIRECTORY=/etc/submit
#Environment=MONITORCONFIGURATIONFILE=jobmonitor.conf
#Environment=MONITORSYSLOGLOCAL=LOCAL3
#Environment=MONITORSYSLOGIDENTIFIER=SUBMITJOBMONSQL
#Environment=MONITORPIDFILE=/var/run/submit/submit-jobsql.pid
#Environment=DAEMONSDIRECTORY=/etc/submit
#Environment=DAEMONSCONFIGURATIONFILE=daemons.conf
#Environment=INFOSDIRECTORY=/etc/submit
#Environment=INFOSCONFIGURATIONFILE=infos.conf
#Environment=ACTIVITYUPDATEINTERVAL=900

[Install]
WantedBy=multi-user.target

